Index: sansmodels/src/sans/models/BEPolyelectrolyte.py
===================================================================
--- sansmodels/src/sans/models/BEPolyelectrolyte.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/BEPolyelectrolyte.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -16,5 +16,5 @@
         
         F(x) = K*1/(4*pi*Lb*(alpha)^(2))*(q^(2)+k2)/(1+(r02)^(2))*(q^(2)+k2)\
-                       *(q^(2)-(12*h*C/b^(2)))
+                       *(q^(2)-(12*h*C/b^(2))) 
         
         The model has Eight parameters: 
@@ -40,4 +40,5 @@
         F(x) = K*1/(4*pi*Lb*(alpha)^(2))*(q^(2)+k^(2))/(1+(r02)^(2))
             *(q^(2)+k^(2))*(q^(2)-(12*h*C/b^(2)))+bkd
+                
         The model has Eight parameters: 
         K        =  Constrast factor of the polymer
@@ -65,7 +66,7 @@
         self.details = {}
         self.details['k']    = ['[barns]', None, None]
-        self.details['lb'] = ['[Å]', None, None]
-        self.details['h']   = ['[1/Å³]', None, None]
-        self.details['b']    = ['[Å]', None, None]
+        self.details['lb'] = ['[A]', None, None]
+        self.details['h']   = ['[1/A³]', None, None]
+        self.details['b']    = ['[A]', None, None]
         self.details['cs'] = ['[mol/L]', None, None]
         self.details['alpha']   = ['', None, None]
Index: sansmodels/src/sans/models/CoreShellCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellCylinderModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/CoreShellCylinderModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -33,10 +33,10 @@
     	List of default parameters:
          scale           = 1.0 
-         radius          = 20.0 [Å]
-         thickness       = 10.0 [Å]
-         length          = 400.0 [Å]
-         core_sld        = 1e-006 [1/Å²]
-         shell_sld       = 4e-006 [1/Å²]
-         solvent_sld     = 1e-006 [1/Å²]
+         radius          = 20.0 [A]
+         thickness       = 10.0 [A]
+         length          = 400.0 [A]
+         core_sld        = 1e-006 [1/A²]
+         shell_sld       = 4e-006 [1/A²]
+         solvent_sld     = 1e-006 [1/A²]
          background      = 0.0 [1/cm]
          axis_theta      = 1.57 [rad]
@@ -55,17 +55,21 @@
         self.name = "CoreShellCylinderModel"
         ## Model description
-        self.description ="""P(q,alpha)= scale/Vs*f(q)^(2) + bkg  Where:\n\
-		f(q)= 2(core_sld- solvant_sld)* Vc*sin[qLcos(alpha/2)]/\n\
-		[qLcos(alpha/2)]*J1(qRsin(alpha))/[qRsin(alpha)] +\n
-		2(shell_sld-solvent_sld)*Vs
-		*sin[q(L+T)cos(alpha/2)]/[[q(L+T)cos(alpha/2)]
-		*J1(q(R+T)sin(alpha))/q(R+T)sin(alpha)]
-		alpha:is the angle between the axis of the cylinder
-		and the q-vector
+        self.description ="""P(q,alpha)= scale/Vs*f(q)^(2) + bkg,  where: f(q)= 2(core_sld
+		- solvant_sld)* Vc*sin[qLcos(alpha/2)]
+		/[qLcos(alpha/2)]*J1(qRsin(alpha))
+		/[qRsin(alpha)]+2(shell_sld-solvent_sld)
+		*Vs*sin[q(L+T)cos(alpha/2)][[q(L+T)
+		*cos(alpha/2)]*J1(q(R+T)sin(alpha))
+		/q(R+T)sin(alpha)]
+		
+		alpha:is the angle between the axis of
+		the cylinder and the q-vector
 		Vs: the volume of the outer shell
 		Vc: the volume of the core
 		L: the length of the core
-		shell_sld: the scattering length density of the shell
-		solvent_sld: the scattering length density of the solvent
+		shell_sld: the scattering length density
+		of the shell
+		solvent_sld: the scattering length density
+		of the solvent
 		bkg: the background
 		T: the thickness
@@ -79,10 +83,10 @@
         self.details = {}
         self.details['scale'] = ['', None, None]
-        self.details['radius'] = ['[Å]', None, None]
-        self.details['thickness'] = ['[Å]', None, None]
-        self.details['length'] = ['[Å]', None, None]
-        self.details['core_sld'] = ['[1/Å²]', None, None]
-        self.details['shell_sld'] = ['[1/Å²]', None, None]
-        self.details['solvent_sld'] = ['[1/Å²]', None, None]
+        self.details['radius'] = ['[A]', None, None]
+        self.details['thickness'] = ['[A]', None, None]
+        self.details['length'] = ['[A]', None, None]
+        self.details['core_sld'] = ['[1/A²]', None, None]
+        self.details['shell_sld'] = ['[1/A²]', None, None]
+        self.details['solvent_sld'] = ['[1/A²]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['axis_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/CoreShellModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/CoreShellModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -33,9 +33,9 @@
     	List of default parameters:
          scale           = 1.0 
-         radius          = 60.0 [Å]
-         thickness       = 10.0 [Å]
-         core_sld        = 1e-006 [1/Å²]
-         shell_sld       = 2e-006 [1/Å²]
-         solvent_sld     = 3e-006 [1/Å²]
+         radius          = 60.0 [A]
+         thickness       = 10.0 [A]
+         core_sld        = 1e-006 [1/A²]
+         shell_sld       = 2e-006 [1/A²]
+         solvent_sld     = 3e-006 [1/A²]
          background      = 0.0 [1/cm]
 
@@ -52,11 +52,11 @@
         self.name = "CoreShellModel"
         ## Model description
-        self.description =""" Form factor for a monodisperse spherical particle with
-		particle with a core-shell structure:
+        self.description ="""Form factor for a monodisperse spherical particle with particle
+		with a core-shell structure:
+		
 		The form factor is normalized by the
 		total particle volume.
 		
-		radius: core radius
-		thickness: shell thickness
+		radius: core radius, thickness: shell thickness
 		
 		Ref: Guinier, A. and G. Fournet,
@@ -66,9 +66,9 @@
         self.details = {}
         self.details['scale'] = ['', None, None]
-        self.details['radius'] = ['[Å]', None, None]
-        self.details['thickness'] = ['[Å]', None, None]
-        self.details['core_sld'] = ['[1/Å²]', None, None]
-        self.details['shell_sld'] = ['[1/Å²]', None, None]
-        self.details['solvent_sld'] = ['[1/Å²]', None, None]
+        self.details['radius'] = ['[A]', None, None]
+        self.details['thickness'] = ['[A]', None, None]
+        self.details['core_sld'] = ['[1/A²]', None, None]
+        self.details['shell_sld'] = ['[1/A²]', None, None]
+        self.details['solvent_sld'] = ['[1/A²]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
 
Index: sansmodels/src/sans/models/CylinderModel.py
===================================================================
--- sansmodels/src/sans/models/CylinderModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/CylinderModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -33,7 +33,7 @@
     	List of default parameters:
          scale           = 1.0 
-         radius          = 20.0 [Å]
-         length          = 400.0 [Å]
-         contrast        = 3e-006 [1/Å²]
+         radius          = 20.0 [A]
+         length          = 400.0 [A]
+         contrast        = 3e-006 [1/A²]
          background      = 0.0 [1/cm]
          cyl_theta       = 1.0 [rad]
@@ -52,15 +52,16 @@
         self.name = "CylinderModel"
         ## Model description
-        self.description ="""P(q,alpha)= scale/V*f(q)^(2)+bkg
-		f(q)= 2*(scatter_sld - solvent_sld)*V
-		*sin(qLcos(alpha/2))/[qLcos(alpha/2)]
-		*J1(qRsin(alpha/2))/[qRsin(alpha)]
+        self.description =""" f(q)= 2*(scatter_sld - solvent_sld)*V*sin(qLcos(alpha/2))
+		/[qLcos(alpha/2)]*J1(qRsin(alpha/2))/[qRsin(alpha)]
+		
+		P(q,alpha)= scale/V*f(q)^(2)+bkg
 		V: Volume of the cylinder
 		R: Radius of the cylinder
 		L: Length of the cylinder
 		J1: The bessel function
-		alpha: angle betweenthe axis of the cylinder
-		and the q-vector for 1D:the ouput is
-		P(q)=scale/V*integral from pi/2 to zero of
+		alpha: angle betweenthe axis of the
+		cylinder and the q-vector for 1D
+		:the ouput is P(q)=scale/V*integral
+		from pi/2 to zero of...
 		f(q)^(2)*sin(alpha)*dalpha+ bkg"""
        
@@ -68,7 +69,7 @@
         self.details = {}
         self.details['scale'] = ['', None, None]
-        self.details['radius'] = ['[Å]', None, None]
-        self.details['length'] = ['[Å]', None, None]
-        self.details['contrast'] = ['[1/Å²]', None, None]
+        self.details['radius'] = ['[A]', None, None]
+        self.details['length'] = ['[A]', None, None]
+        self.details['contrast'] = ['[1/A²]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['cyl_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/DABModel.py
===================================================================
--- sansmodels/src/sans/models/DABModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/DABModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -43,5 +43,5 @@
         ## Parameter details [units, min, max]
         self.details = {}
-        self.details['length']            = ['[Å]', None, None]
+        self.details['length']            = ['[A]', None, None]
         self.details['scale']             = ['', None, None]
         self.details['background']        = ['[1/cm]', None, None]
Index: sansmodels/src/sans/models/DebyeModel.py
===================================================================
--- sansmodels/src/sans/models/DebyeModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/DebyeModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -35,4 +35,5 @@
         F(x) = 2( exp(-x) + x - 1 )/x**2
         with x = (q*R_g)**2
+        
         The model has three parameters: 
         Rg     =  radius of gyration
@@ -48,5 +49,5 @@
         ## Parameter details [units, min, max]
         self.details = {}
-        self.details['rg']         = ['[Å]', None, None]
+        self.details['rg']         = ['[A]', None, None]
         self.details['scale']      = ['', None, None]
         self.details['background'] = ['[1/cm]', None, None]
Index: sansmodels/src/sans/models/EllipsoidModel.py
===================================================================
--- sansmodels/src/sans/models/EllipsoidModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/EllipsoidModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -33,7 +33,7 @@
     	List of default parameters:
          scale           = 1.0 
-         radius_a        = 20.0 [Å]
-         radius_b        = 400.0 [Å]
-         contrast        = 3e-006 [1/Å²]
+         radius_a        = 20.0 [A]
+         radius_b        = 400.0 [A]
+         contrast        = 3e-006 [1/A²]
          background      = 0.0 [1/cm]
          axis_theta      = 1.57 [rad]
@@ -52,22 +52,28 @@
         self.name = "EllipsoidModel"
         ## Model description
-        self.description =""""P(q.alpha)= scale*f(q)^(2)+ bkg
-		f(q)= 3*(scatter_sld- scatter_solvent)*V
-		*[sin(q*r(Ra,Rb,alpha))- q*r*cos(qr(Ra,Rb,alpha))]
+        self.description =""""P(q.alpha)= scale*f(q)^(2)+ bkg, where f(q)= 3*(scatter_sld
+		- scatter_solvent)*V*[sin(q*r(Ra,Rb,alpha))
+		-q*r*cos(qr(Ra,Rb,alpha))]
 		/[qr(Ra,Rb,alpha)]^(3)"
+		
 		r(Ra,Rb,alpha)= [Rb^(2)*(sin(alpha))^(2)
 		+ Ra^(2)*(cos(alpha))^(2)]^(1/2)
-		scatter_sld: scattering length density of the scatter
-		solvent_sld: scattering length density of the solvent
+		
+		scatter_sld: SLD of the scatter
+		solvent_sld: SLD of the solvent
+		contrast: SLD difference between scatter
+		and solvent
 		V: volune of the Eliipsoid
-		Ra: radius along the rotation axis of the Ellipsoid
-		Rb: radius perpendicular to the rotation axis of the ellipsoid"""
+		Ra: radius along the rotation axis
+		of the Ellipsoid
+		Rb: radius perpendicular to the
+		rotation axis of the ellipsoid"""
        
 		## Parameter details [units, min, max]
         self.details = {}
         self.details['scale'] = ['', None, None]
-        self.details['radius_a'] = ['[Å]', None, None]
-        self.details['radius_b'] = ['[Å]', None, None]
-        self.details['contrast'] = ['[1/Å²]', None, None]
+        self.details['radius_a'] = ['[A]', None, None]
+        self.details['radius_b'] = ['[A]', None, None]
+        self.details['contrast'] = ['[1/A²]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['axis_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/EllipticalCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/EllipticalCylinderModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/EllipticalCylinderModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -33,8 +33,8 @@
     	List of default parameters:
          scale           = 1.0 
-         r_minor         = 20.0 [Å]
+         r_minor         = 20.0 [A]
          r_ratio         = 1.5 
-         length          = 400.0 [Å]
-         contrast        = 3e-006 [1/Å²]
+         length          = 400.0 [A]
+         contrast        = 3e-006 [1/A²]
          background      = 0.0 [1/cm]
          cyl_theta       = 1.57 [rad]
@@ -59,8 +59,8 @@
         self.details = {}
         self.details['scale'] = ['', None, None]
-        self.details['r_minor'] = ['[Å]', None, None]
+        self.details['r_minor'] = ['[A]', None, None]
         self.details['r_ratio'] = ['', None, None]
-        self.details['length'] = ['[Å]', None, None]
-        self.details['contrast'] = ['[1/Å²]', None, None]
+        self.details['length'] = ['[A]', None, None]
+        self.details['contrast'] = ['[1/A²]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         self.details['cyl_theta'] = ['[rad]', None, None]
Index: sansmodels/src/sans/models/FractalModel.py
===================================================================
--- sansmodels/src/sans/models/FractalModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/FractalModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -37,6 +37,8 @@
         self.description="""
         I(x)= P(x)*S(x) + bkd
-        p(x)= scale* V^(2)*delta^(2)* F(x*Radius)^(2)
-        F(x) = 3*[sin(x)-xcos(x)]/x**3
+        
+        p(x)= scale* V^(2)*delta^(2)* F(x*radius)^(2)
+        F(x) = 3*[sin(x)-x cos(x)]/x**3
+        
         The model has Seven parameters: 
         scale        =  Volume fraction
@@ -62,9 +64,9 @@
         self.details = {}
         self.details['scale']       = ['',     None, None]
-        self.details['radius']      = ['[Å]',    None, None]
+        self.details['radius']      = ['[A]',    None, None]
         self.details['fractal_dim'] = ['',       0,  None]
-        self.details['corr_length'] = ['[Å]',    None, None]
-        self.details['block_sld']   = ['[1/Å²]',  None, None]
-        self.details['solvent_sld'] = ['[1/Å²]',  None, None]
+        self.details['corr_length'] = ['[A]',    None, None]
+        self.details['block_sld']   = ['[1/A²]',  None, None]
+        self.details['solvent_sld'] = ['[1/A²]',  None, None]
         self.details['background']  = ['[1/cm]', None, None]
        
Index: sansmodels/src/sans/models/GuinierModel.py
===================================================================
--- sansmodels/src/sans/models/GuinierModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/GuinierModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -28,8 +28,9 @@
         ## Name of the model
         self.name = "Guinier"
-        self.description=" I(q) = I_0 exp ( - R_g^2 q^2 / 3.0 )\
-                        List of default parameters:\
-                        I_0 = Scale\
-                        R_g = Radius of gyration"
+        self.description=""" I(q) = I_0 exp ( - R_g^2 q^2 / 3.0 )
+        
+                        List of default parameters:
+                        I_0 = Scale
+                        R_g = Radius of gyration"""
         ## Define parameters
         self.params = {}
@@ -40,5 +41,5 @@
         self.details = {}
         self.details['scale'] = ['[1/cm]', None, None]
-        self.details['rg']    = ['[Å]', None, None]
+        self.details['rg']    = ['[A]', None, None]
         #list of parameter that cannot be fitted
         self.fixed= []  
Index: sansmodels/src/sans/models/HardsphereStructure.py
===================================================================
--- sansmodels/src/sans/models/HardsphereStructure.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/HardsphereStructure.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -32,5 +32,5 @@
     	for details of the model.
     	List of default parameters:
-         radius          = 50.0 [Å]
+         radius          = 50.0 [A]
          volfraction     = 0.2 
 
@@ -47,5 +47,5 @@
         self.name = "HardsphereStructure"
         ## Model description
-        self.description ="""Structure factor for interacting particles:
+        self.description ="""Structure factor for interacting particles:                   .
 		
 		The interparticle potential is
@@ -57,10 +57,10 @@
 		V:The volume fraction
 		
-		Ref: Percus., J. K.,etc., J. Phy. Rev.
-		1958, 110, 1."""
+		Ref: Percus., J. K.,etc., J. Phy.
+		Rev. 1958, 110, 1."""
        
 		## Parameter details [units, min, max]
         self.details = {}
-        self.details['radius'] = ['[Å]', None, None]
+        self.details['radius'] = ['[A]', None, None]
         self.details['volfraction'] = ['', None, None]
 
Index: sansmodels/src/sans/models/HayterMSAStructure.py
===================================================================
--- sansmodels/src/sans/models/HayterMSAStructure.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/HayterMSAStructure.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -32,5 +32,5 @@
     	for details of the model.
     	List of default parameters:
-         radius          = 20.75 [Å]
+         radius          = 20.75 [A]
          charge          = 19.0 
          volfraction     = 0.0192 
@@ -51,13 +51,14 @@
         self.name = "HayterMSAStructure"
         ## Model description
-        self.description ="""To calculate the structure factor (the Fourier transform
-		of the pair correlation function g(r)) for
-		a system of charged, spheroidal objects in
-		a dielectric medium. When combined with an
-		appropriate form factor, this allows
-		for inclusion of the interparticle
-		interference effects due to screened coulomb
-		repulsion between charged particles.
-		(note: charge > 0 required.)
+        self.description ="""To calculate the structure factor (the Fourier transform of the
+		pair correlation function g(r)) for a system of
+		charged, spheroidal objects in a dielectric
+		medium.
+		When combined with an appropriate form
+		factor, this allows for inclusion of
+		the interparticle interference effects
+		due to screened coulomb repulsion between
+		charged particles.
+		(Note: charge > 0 required.)
 		
 		Ref: JP Hansen and JB Hayter, Molecular
@@ -67,5 +68,5 @@
 		## Parameter details [units, min, max]
         self.details = {}
-        self.details['radius'] = ['[Å]', None, None]
+        self.details['radius'] = ['[A]', None, None]
         self.details['charge'] = ['', None, None]
         self.details['volfraction'] = ['', None, None]
Index: sansmodels/src/sans/models/LorentzModel.py
===================================================================
--- sansmodels/src/sans/models/LorentzModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/LorentzModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -29,9 +29,11 @@
         ## Name of the model
         self.name = "Lorentz"
-        self.description="Lorentz (Ornstein-Zernicke) model.\n\
-        F(x) = scale/( 1 + (x*L)^2 ) + bkd \nThe model has three parameters:\n \
+        self.description="""Lorentz (Ornstein-Zernicke) model.
+        F(x) = scale/( 1 + (x*L)^2 ) + bkd 
+        
+        The model has three parameters:      
         L     =  screen Length\n\
         scale  =  scale factor\n\
-        bkd    =  incoherent background"
+        bkd    =  incoherent background"""
         ## Define parameters
         self.params = {}
@@ -42,5 +44,5 @@
         ## Parameter details [units, min, max]
         self.details = {}
-        self.details['length']     = ['[Å]', None, None]
+        self.details['length']     = ['[A]', None, None]
         self.details['scale']      = ['', None, None]
         self.details['background'] = ['[1/cm]', None, None]
Index: sansmodels/src/sans/models/PorodModel.py
===================================================================
--- sansmodels/src/sans/models/PorodModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/PorodModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -33,5 +33,5 @@
         ## Parameter details [units, min, max]
         self.details = {}
-        self.details['scale']      = ['[1/Å^4]', None, None]
+        self.details['scale']      = ['[1/(cm A^4)]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
         #list of parameter that cannot be fitted
Index: sansmodels/src/sans/models/PowerLawModel.py
===================================================================
--- sansmodels/src/sans/models/PowerLawModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/PowerLawModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -37,4 +37,5 @@
         self.description=""" The Power_Law model.
         F(x) = scale* (|x|)^(-m) + bkd
+        
         The model has three parameters: 
         m     =  power
Index: sansmodels/src/sans/models/SphereModel.py
===================================================================
--- sansmodels/src/sans/models/SphereModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/SphereModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -33,6 +33,6 @@
     	List of default parameters:
          scale           = 1.0 
-         radius          = 60.0 [Å]
-         contrast        = 1e-006 [1/Å²]
+         radius          = 60.0 [A]
+         contrast        = 1e-006 [1/A²]
          background      = 0.0 [1/cm]
 
@@ -49,18 +49,20 @@
         self.name = "SphereModel"
         ## Model description
-        self.description ="""P(q)=(scale/V)
-		*[3V(scatter_sld-solvent_sld)*(sin(qR)-qRcos(qR))/(qR)^3]^(2)
-		+bkg
-		bkg: background level
-		R: radius of the sphere
+        self.description ="""P(q)=(scale/V)*[3V(scatter_sld-solvent_sld)*(sin(qR)-qRcos(qR))
+		/(qR)^3]^(2)+bkg
+		
+		bkg:background, R: radius of sphere
 		V:The volume of the scatter
-		scatter_sld: the scattering length density of the scatter
-		solvent_sld: the scattering length density of the solvent"""
+		contrast:SLD difference between
+		scatter and solvent
+		scatter_sld: the SLD of the scatter
+		solvent_sld: the SLD of the solvent
+		"""
        
 		## Parameter details [units, min, max]
         self.details = {}
         self.details['scale'] = ['', None, None]
-        self.details['radius'] = ['[Å]', None, None]
-        self.details['contrast'] = ['[1/Å²]', None, None]
+        self.details['radius'] = ['[A]', None, None]
+        self.details['contrast'] = ['[1/A²]', None, None]
         self.details['background'] = ['[1/cm]', None, None]
 
Index: sansmodels/src/sans/models/SquareWellStructure.py
===================================================================
--- sansmodels/src/sans/models/SquareWellStructure.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/SquareWellStructure.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -32,5 +32,5 @@
     	for details of the model.
     	List of default parameters:
-         radius          = 50.0 [Å]
+         radius          = 50.0 [A]
          volfraction     = 0.04 
          welldepth       = 1.5 [kT]
@@ -49,5 +49,5 @@
         self.name = "SquareWellStructure"
         ## Model description
-        self.description =""" Structure Factor for interacting particles:
+        self.description =""" Structure Factor for interacting particles:             .
 		
 		The interaction potential is
@@ -57,14 +57,16 @@
 		= 0     , r >= 2Rw
 		
-		R: radius (A)of the particle, v: volume fraction
+		R: radius (A)of the particle
+		v: volume fraction
 		d: well depth
-		w: well width; multiples of the particle diameter
+		w: well width; multiples of the
+		particle diameter
 		
-		Ref: Sharma, R. V.; Sharma, K. C., Physica,
-		1977, 89A, 213."""
+		Ref: Sharma, R. V.; Sharma,
+		K. C., Physica, 1977, 89A, 213."""
        
 		## Parameter details [units, min, max]
         self.details = {}
-        self.details['radius'] = ['[Å]', None, None]
+        self.details['radius'] = ['[A]', None, None]
         self.details['volfraction'] = ['', None, None]
         self.details['welldepth'] = ['[kT]', None, None]
Index: sansmodels/src/sans/models/StickyHSStructure.py
===================================================================
--- sansmodels/src/sans/models/StickyHSStructure.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/StickyHSStructure.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -32,5 +32,5 @@
     	for details of the model.
     	List of default parameters:
-         radius          = 50.0 [Å]
+         radius          = 50.0 [A]
          volfraction     = 0.1 
          perturb         = 0.05 
@@ -49,5 +49,5 @@
         self.name = "StickyHSStructure"
         ## Model description
-        self.description =""" Structure Factor for interacting particles:
+        self.description =""" Structure Factor for interacting particles:                               .
 		
 		The interaction potential is
@@ -63,10 +63,10 @@
 		v: The volume fraction , v > 0
 		
-		Ref: Menon, S. V. G.,et.al., J. Chem. Phys.,
-		1991, 95(12), 9186-9190."""
+		Ref: Menon, S. V. G.,et.al., J. Chem.
+		Phys., 1991, 95(12), 9186-9190."""
        
 		## Parameter details [units, min, max]
         self.details = {}
-        self.details['radius'] = ['[Å]', None, None]
+        self.details['radius'] = ['[A]', None, None]
         self.details['volfraction'] = ['', None, None]
         self.details['perturb'] = ['', None, None]
Index: sansmodels/src/sans/models/TeubnerStreyModel.py
===================================================================
--- sansmodels/src/sans/models/TeubnerStreyModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
+++ sansmodels/src/sans/models/TeubnerStreyModel.py	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -33,4 +33,5 @@
         self.description="""The TeubnerStrey model.
         F(x) = 1/( scale + c1*(x)^(2)+  c2*(x)^(4)) + bkd
+        
         The model has Four parameters: 
         scale  =  scale factor
Index: sansmodels/src/sans/models/c_extensions/Hardsphere.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/Hardsphere.h	(revision 70faf5d3c442d5fcdc306dc9d9515f3f22d44799)
+++ sansmodels/src/sans/models/c_extensions/Hardsphere.h	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -7,5 +7,5 @@
  //[PYTHONCLASS] = HardsphereStructure
  //[DISP_PARAMS] = radius
- //[DESCRIPTION] =<text>Structure factor for interacting particles:
+ //[DESCRIPTION] =<text>Structure factor for interacting particles:                   .
  //
  //  The interparticle potential is
@@ -17,6 +17,6 @@
  //						V:The volume fraction
  //
- //    Ref: Percus., J. K.,etc., J. Phy. Rev.
- //    1958, 110, 1.
+ //    Ref: Percus., J. K.,etc., J. Phy.
+ //     Rev. 1958, 110, 1.
  //	 </text>
  //[FIXED]= radius.width
@@ -24,6 +24,6 @@
 
 typedef struct {
-    /// Radius of hardsphere [Å]
-    //  [DEFAULT]=radius=50.0 [Å]
+    /// Radius of hardsphere [A]
+    //  [DEFAULT]=radius=50.0 [A]
     double radius;
 
Index: sansmodels/src/sans/models/c_extensions/HayterMSA.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/HayterMSA.h	(revision 70faf5d3c442d5fcdc306dc9d9515f3f22d44799)
+++ sansmodels/src/sans/models/c_extensions/HayterMSA.h	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -7,13 +7,14 @@
  //[PYTHONCLASS] = HayterMSAStructure
  //[DISP_PARAMS] = radius
- //[DESCRIPTION] =<text>To calculate the structure factor (the Fourier transform
- //                     of the pair correlation function g(r)) for
- //                     a system of charged, spheroidal objects in
- //                     a dielectric medium. When combined with an
- //                     appropriate form factor, this allows
- //                     for inclusion of the interparticle
- //                     interference effects due to screened coulomb
- //                     repulsion between charged particles.
- //                     (note: charge > 0 required.)
+ //[DESCRIPTION] =<text>To calculate the structure factor (the Fourier transform of the
+ //                     pair correlation function g(r)) for a system of
+ //                     charged, spheroidal objects in a dielectric
+ //						medium.
+ //                     When combined with an appropriate form
+ //                     factor, this allows for inclusion of
+ //                     the interparticle interference effects
+ //                     due to screened coulomb repulsion between
+ //                     charged particles.
+ //						(Note: charge > 0 required.)
  //
  //                     Ref: JP Hansen and JB Hayter, Molecular
@@ -24,6 +25,6 @@
 
 typedef struct {
-    ///	Radius of particle [Å]
-    //  [DEFAULT]=radius=20.75 [Å]
+    ///	Radius of particle [A]
+    //  [DEFAULT]=radius=20.75 [A]
     double radius;
 
Index: sansmodels/src/sans/models/c_extensions/SquareWell.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/SquareWell.h	(revision 70faf5d3c442d5fcdc306dc9d9515f3f22d44799)
+++ sansmodels/src/sans/models/c_extensions/SquareWell.h	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -6,5 +6,5 @@
 //   [PYTHONCLASS] = SquareWellStructure
 //   [DISP_PARAMS] = radius
-//   [DESCRIPTION] = <text> Structure Factor for interacting particles:
+//   [DESCRIPTION] = <text> Structure Factor for interacting particles:             .
 //
 //  The interaction potential is
@@ -14,10 +14,12 @@
 //			= 0     , r >= 2Rw
 //
-//		R: radius (A)of the particle, v: volume fraction
+//		R: radius (A)of the particle
+//		v: volume fraction
 //		d: well depth
-//		w: well width; multiples of the particle diameter
+//		w: well width; multiples of the
+//		particle diameter
 //
-//		Ref: Sharma, R. V.; Sharma, K. C., Physica,
-//            1977, 89A, 213.
+//		Ref: Sharma, R. V.; Sharma,
+//      K. C., Physica, 1977, 89A, 213.
 //   			</text>
 //   [FIXED]= radius.width
@@ -26,6 +28,6 @@
 
 typedef struct {
-    ///	Radius of particle [Å]
-    //  [DEFAULT]=radius=50.0 [Å]
+    ///	Radius of particle [A]
+    //  [DEFAULT]=radius=50.0 [A]
     double radius;
 
Index: sansmodels/src/sans/models/c_extensions/StickyHS.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/StickyHS.h	(revision 70faf5d3c442d5fcdc306dc9d9515f3f22d44799)
+++ sansmodels/src/sans/models/c_extensions/StickyHS.h	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -7,5 +7,5 @@
  //[PYTHONCLASS] = StickyHSStructure
  //[DISP_PARAMS] = radius
- //[DESCRIPTION] =<text> Structure Factor for interacting particles:
+ //[DESCRIPTION] =<text> Structure Factor for interacting particles:                               .
  //
  //  The interaction potential is
@@ -21,11 +21,11 @@
  //						v: The volume fraction , v > 0
  //
- //                     Ref: Menon, S. V. G.,et.al., J. Chem. Phys.,
- //                          1991, 95(12), 9186-9190.
+ //                     Ref: Menon, S. V. G.,et.al., J. Chem.
+ //                      Phys., 1991, 95(12), 9186-9190.
  //				</text>
  //[FIXED]= radius.width
 typedef struct {
-    /// Radius of hardsphere [Å]
-    //  [DEFAULT]=radius=50.0 [Å]
+    /// Radius of hardsphere [A]
+    //  [DEFAULT]=radius=50.0 [A]
     double radius;
 
Index: sansmodels/src/sans/models/c_extensions/core_shell.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/core_shell.h	(revision 70faf5d3c442d5fcdc306dc9d9515f3f22d44799)
+++ sansmodels/src/sans/models/c_extensions/core_shell.h	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -7,11 +7,11 @@
  //[PYTHONCLASS] = CoreShellModel
  //[DISP_PARAMS] = radius, thickness
- //[DESCRIPTION] =<text> Form factor for a monodisperse spherical particle with
- //    particle with a core-shell structure:
+ //[DESCRIPTION] =<text>Form factor for a monodisperse spherical particle with particle
+ //    with a core-shell structure:
+ //
  //    The form factor is normalized by the
  //    total particle volume.
  //
- //		radius: core radius
- //     thickness: shell thickness
+ //		radius: core radius, thickness: shell thickness
  //
  //     Ref: Guinier, A. and G. Fournet,
@@ -25,18 +25,18 @@
     //  [DEFAULT]=scale=1.0
     double scale;
-    ///	Core Radius [Å] 60.0
-    //  [DEFAULT]=radius=60.0 [Å]
+    ///	Core Radius [A] 60.0
+    //  [DEFAULT]=radius=60.0 [A]
     double radius;
-    /// Shell Thickness [Å] 10.0
-    //  [DEFAULT]=thickness=10 [Å]
+    /// Shell Thickness [A] 10.0
+    //  [DEFAULT]=thickness=10 [A]
     double thickness;
-    ///	Core SLD [1/Å²] 1.0e-6
-    //  [DEFAULT]=core_sld=1.0e-6 [1/Å²]
+    ///	Core SLD [1/A²] 1.0e-6
+    //  [DEFAULT]=core_sld=1.0e-6 [1/A²]
     double core_sld;
-	/// Shell SLD [1/Å²] 2.0e-6
-	//  [DEFAULT]=shell_sld=2.0e-6 [1/Å²]
+	/// Shell SLD [1/A²] 2.0e-6
+	//  [DEFAULT]=shell_sld=2.0e-6 [1/A²]
 	double shell_sld;
-	/// Solvent SLD [1/Å²] 3.0e-6
-	//  [DEFAULT]=solvent_sld=3.0e-6 [1/Å²]
+	/// Solvent SLD [1/A²] 3.0e-6
+	//  [DEFAULT]=solvent_sld=3.0e-6 [1/A²]
 	double solvent_sld;
 	/// Incoherent Background [1/cm] 0.000
Index: sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h	(revision 70faf5d3c442d5fcdc306dc9d9515f3f22d44799)
+++ sansmodels/src/sans/models/c_extensions/core_shell_cylinder.h	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -7,17 +7,21 @@
  //[PYTHONCLASS] = CoreShellCylinderModel
  //[DISP_PARAMS] = radius, thickness, length, axis_theta, axis_phi
- //[DESCRIPTION] = <text>P(q,alpha)= scale/Vs*f(q)^(2) + bkg  Where:\n\
- //	 f(q)= 2(core_sld- solvant_sld)* Vc*sin[qLcos(alpha/2)]/\n\
- //	 [qLcos(alpha/2)]*J1(qRsin(alpha))/[qRsin(alpha)] +\n
- //  2(shell_sld-solvent_sld)*Vs
- //	 *sin[q(L+T)cos(alpha/2)]/[[q(L+T)cos(alpha/2)]
- //	 *J1(q(R+T)sin(alpha))/q(R+T)sin(alpha)]
- //			alpha:is the angle between the axis of the cylinder
- //          and the q-vector
+ //[DESCRIPTION] = <text>P(q,alpha)= scale/Vs*f(q)^(2) + bkg,  where: f(q)= 2(core_sld
+//			- solvant_sld)* Vc*sin[qLcos(alpha/2)]
+//			/[qLcos(alpha/2)]*J1(qRsin(alpha))
+ //			/[qRsin(alpha)]+2(shell_sld-solvent_sld)
+ //			*Vs*sin[q(L+T)cos(alpha/2)][[q(L+T)
+ //			*cos(alpha/2)]*J1(q(R+T)sin(alpha))
+ //			/q(R+T)sin(alpha)]
+ //
+ //			alpha:is the angle between the axis of
+ //          the cylinder and the q-vector
  //			Vs: the volume of the outer shell
  //			Vc: the volume of the core
  //			L: the length of the core
- //    		shell_sld: the scattering length density of the shell
- //			solvent_sld: the scattering length density of the solvent
+ //    		shell_sld: the scattering length density
+ //			of the shell
+ //			solvent_sld: the scattering length density
+ //			of the solvent
  //			bkg: the background
  //			T: the thickness
@@ -26,5 +30,5 @@
  //			J1: the first order Bessel function
  // 		theta: axis_theta of the cylinder
- // 		phi: the axis_phi of the cylinder
+ // 		phi: the axis_phi of the cylinder...
  //		</text>
  //[FIXED]= <text> axis_phi.width; axis_theta.width; length.width;radius.width; thickness_width</text>
@@ -37,26 +41,26 @@
     double scale;
 
-    /// Core radius [Å]
-    //  [DEFAULT]=radius=20.0 [Å]
+    /// Core radius [A]
+    //  [DEFAULT]=radius=20.0 [A]
     double radius;
 
-    /// Shell thickness [Å]
-    //  [DEFAULT]=thickness=10.0 [Å]
+    /// Shell thickness [A]
+    //  [DEFAULT]=thickness=10.0 [A]
     double thickness;
 
-    /// Core length [Å]
-    //  [DEFAULT]=length=400.0 [Å]
+    /// Core length [A]
+    //  [DEFAULT]=length=400.0 [A]
     double length;
 
-    /// Core SLD [1/Å²]
-    //  [DEFAULT]=core_sld=1.0e-6 [1/Å²]
+    /// Core SLD [1/A²]
+    //  [DEFAULT]=core_sld=1.0e-6 [1/A²]
     double core_sld;
 
-    /// Shell SLD [1/Å²]
-    //  [DEFAULT]=shell_sld=4.0e-6 [1/Å²]
+    /// Shell SLD [1/A²]
+    //  [DEFAULT]=shell_sld=4.0e-6 [1/A²]
     double shell_sld;
 
-    /// Solvent SLD [1/Å²]
-    //  [DEFAULT]=solvent_sld=1.0e-6 [1/Å²]
+    /// Solvent SLD [1/A²]
+    //  [DEFAULT]=solvent_sld=1.0e-6 [1/A²]
     double solvent_sld;
 
Index: sansmodels/src/sans/models/c_extensions/cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/cylinder.h	(revision 70faf5d3c442d5fcdc306dc9d9515f3f22d44799)
+++ sansmodels/src/sans/models/c_extensions/cylinder.h	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -4,17 +4,18 @@
  * [PYTHONCLASS] = CylinderModel
  * [DISP_PARAMS] = radius, length, cyl_theta, cyl_phi
-   [DESCRIPTION] = <text>P(q,alpha)= scale/V*f(q)^(2)+bkg
-				f(q)= 2*(scatter_sld - solvent_sld)*V
-				*sin(qLcos(alpha/2))/[qLcos(alpha/2)]
-				*J1(qRsin(alpha/2))/[qRsin(alpha)]
-				V: Volume of the cylinder
-				R: Radius of the cylinder
-				L: Length of the cylinder
-				J1: The bessel function
-				alpha: angle betweenthe axis of the cylinder
-				and the q-vector for 1D:the ouput is
-				P(q)=scale/V*integral from pi/2 to zero of
-				f(q)^(2)*sin(alpha)*dalpha+ bkg
-					</text>
+   [DESCRIPTION] = <text> f(q)= 2*(scatter_sld - solvent_sld)*V*sin(qLcos(alpha/2))
+				/[qLcos(alpha/2)]*J1(qRsin(alpha/2))/[qRsin(alpha)]
+
+		P(q,alpha)= scale/V*f(q)^(2)+bkg
+		V: Volume of the cylinder
+		R: Radius of the cylinder
+		L: Length of the cylinder
+		J1: The bessel function
+		alpha: angle betweenthe axis of the
+		cylinder and the q-vector for 1D
+		:the ouput is P(q)=scale/V*integral
+		from pi/2 to zero of...
+		f(q)^(2)*sin(alpha)*dalpha+ bkg
+		</text>
 	[FIXED]= <text>cyl_phi.width; cyl_theta.width; length.width;radius.width</text>
 	[ORIENTATION_PARAMS]= <text>cyl_phi; cyl_theta; cyl_phi.width; cyl_theta.width</text>
@@ -26,12 +27,12 @@
     //  [DEFAULT]=scale=1.0
     double scale;
-    /// Radius of the cylinder [Å]
-    //  [DEFAULT]=radius=20.0 [Å]
+    /// Radius of the cylinder [A]
+    //  [DEFAULT]=radius=20.0 [A]
     double radius;
-    /// Length of the cylinder [Å]
-    //  [DEFAULT]=length=400.0 [Å]
+    /// Length of the cylinder [A]
+    //  [DEFAULT]=length=400.0 [A]
     double length;
-    /// Contrast [1/Å²]
-    //  [DEFAULT]=contrast=3.0e-6 [1/Å²]
+    /// Contrast [1/A²]
+    //  [DEFAULT]=contrast=3.0e-6 [1/A²]
     double contrast;
 	/// Incoherent Background [1/cm] 0.00
Index: sansmodels/src/sans/models/c_extensions/ellipsoid.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/ellipsoid.h	(revision 70faf5d3c442d5fcdc306dc9d9515f3f22d44799)
+++ sansmodels/src/sans/models/c_extensions/ellipsoid.h	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -9,15 +9,21 @@
  //[PYTHONCLASS] = EllipsoidModel
  //[DISP_PARAMS] = radius_a, radius_b, axis_theta, axis_phi
- //[DESCRIPTION] = <text>"P(q.alpha)= scale*f(q)^(2)+ bkg
- //		f(q)= 3*(scatter_sld- scatter_solvent)*V
- //			*[sin(q*r(Ra,Rb,alpha))- q*r*cos(qr(Ra,Rb,alpha))]
+ //[DESCRIPTION] = <text>"P(q.alpha)= scale*f(q)^(2)+ bkg, where f(q)= 3*(scatter_sld
+ //		- scatter_solvent)*V*[sin(q*r(Ra,Rb,alpha))
+ //		-q*r*cos(qr(Ra,Rb,alpha))]
  //		/[qr(Ra,Rb,alpha)]^(3)"
+ //
  //     r(Ra,Rb,alpha)= [Rb^(2)*(sin(alpha))^(2)
  //     + Ra^(2)*(cos(alpha))^(2)]^(1/2)
- //		scatter_sld: scattering length density of the scatter
- //		solvent_sld: scattering length density of the solvent
+ //
+ //		scatter_sld: SLD of the scatter
+ //		solvent_sld: SLD of the solvent
+ //     contrast: SLD difference between scatter
+ //		and solvent
  //		V: volune of the Eliipsoid
- //		Ra: radius along the rotation axis of the Ellipsoid
- //		Rb: radius perpendicular to the rotation axis of the ellipsoid
+ //		Ra: radius along the rotation axis
+ //		of the Ellipsoid
+ //		Rb: radius perpendicular to the
+ //		rotation axis of the ellipsoid
  //		</text>
  //[FIXED]= <text> axis_phi.width; axis_theta.width;radius_a.width;
@@ -32,14 +38,14 @@
     double scale;
 
-    ///	Rotation axis radius_a [Å]
-    //  [DEFAULT]=radius_a=20.0 [Å]
+    ///	Rotation axis radius_a [A]
+    //  [DEFAULT]=radius_a=20.0 [A]
     double radius_a;
 
-    /// Radius_b [Å]
-    //  [DEFAULT]=radius_b=400 [Å]
+    /// Radius_b [A]
+    //  [DEFAULT]=radius_b=400 [A]
     double radius_b;
 
-    ///	Contrast [1/Å²]
-    //  [DEFAULT]=contrast=3.0e-6 [1/Å²]
+    ///	Contrast [1/A²]
+    //  [DEFAULT]=contrast=3.0e-6 [1/A²]
     double contrast;
 
Index: sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h	(revision 70faf5d3c442d5fcdc306dc9d9515f3f22d44799)
+++ sansmodels/src/sans/models/c_extensions/elliptical_cylinder.h	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -16,15 +16,15 @@
     //  [DEFAULT]=scale=1.0
     double scale;
-    /// Minor radius [Å]
-    //  [DEFAULT]=r_minor=20.0 [Å]
+    /// Minor radius [A]
+    //  [DEFAULT]=r_minor=20.0 [A]
     double r_minor;
     /// Ratio of major/minor radii
     //  [DEFAULT]=r_ratio=1.5
     double r_ratio;
-    /// Length of the cylinder [Å]
-    //  [DEFAULT]=length=400.0 [Å]
+    /// Length of the cylinder [A]
+    //  [DEFAULT]=length=400.0 [A]
     double length;
-    /// Contrast [1/Å²]
-    //  [DEFAULT]=contrast=3.0e-6 [1/Å²]
+    /// Contrast [1/A²]
+    //  [DEFAULT]=contrast=3.0e-6 [1/A²]
     double contrast;
 	/// Incoherent Background [1/cm] 0.000
Index: sansmodels/src/sans/models/c_extensions/sphere.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/sphere.h	(revision 70faf5d3c442d5fcdc306dc9d9515f3f22d44799)
+++ sansmodels/src/sans/models/c_extensions/sphere.h	(revision 1ed3834d2e968f8ff632d0b368f55ac28174df7a)
@@ -7,13 +7,15 @@
  //[PYTHONCLASS] = SphereModel
  //[DISP_PARAMS] = radius
- //[DESCRIPTION] =<text>P(q)=(scale/V)
- //						*[3V(scatter_sld-solvent_sld)*(sin(qR)-qRcos(qR))/(qR)^3]^(2)
- //						+bkg
- //						bkg: background level
- //						R: radius of the sphere
- //						V:The volume of the scatter
- //						scatter_sld: the scattering length density of the scatter
- //						solvent_sld: the scattering length density of the solvent
- //				</text>
+ //[DESCRIPTION] =<text>P(q)=(scale/V)*[3V(scatter_sld-solvent_sld)*(sin(qR)-qRcos(qR))
+ //						/(qR)^3]^(2)+bkg
+ //
+ //				bkg:background, R: radius of sphere
+ //				V:The volume of the scatter
+ //				contrast:SLD difference between
+ //				scatter and solvent
+ //				scatter_sld: the SLD of the scatter
+ //				solvent_sld: the SLD of the solvent
+ //
+ //		</text>
  //[FIXED]=  radius.width
  //[ORIENTATION_PARAMS]= <text> </text>
@@ -24,10 +26,10 @@
     double scale;
 
-    ///	Radius of sphere [Å]
-    //  [DEFAULT]=radius=60.0 [Å]
+    ///	Radius of sphere [A]
+    //  [DEFAULT]=radius=60.0 [A]
     double radius;
 
     ///	Contrast [1/Å²]
-    //  [DEFAULT]=contrast= 1.0e-6 [1/Å²]
+    //  [DEFAULT]=contrast= 1.0e-6 [1/A²]
     double contrast;
 
